## org.apache.cocoon.processor.xsp.language.java
Class SunJavaCompiler

    java.lang.Object
      |
      +--org.apache.cocoon.processor.xsp.language.java.SunJavaCompiler

All Implemented Interfaces:
  JavaCompiler

public class SunJavaCompiler
extends java.lang.Object
implements JavaCompiler

Constructor Summary
`SunJavaCompiler()`

Method Summary
`boolean` `compile(java.lang.String source)`
`void` `setClasspath(java.lang.String classpath)`
`void` `setCompilerPath(java.lang.String compilerPath)`
`void` `setEncoding(java.lang.String encoding)`
`void` `setMsgOutput(java.io.OutputStream out)`
`void` `setOut(java.io.OutputStream out)`
`void` `setOutputDir(java.lang.String outdir)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SunJavaCompiler

    public SunJavaCompiler()

Method Detail

### compile

    public boolean compile(java.lang.String source)

  Specified by:
    `compile` in interface `JavaCompiler`

### setClasspath

    public void setClasspath(java.lang.String classpath)

  Specified by:
    `setClasspath` in interface `JavaCompiler`

### setCompilerPath

    public void setCompilerPath(java.lang.String compilerPath)

  Specified by:
    `setCompilerPath` in interface `JavaCompiler`

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Specified by:
    `setEncoding` in interface `JavaCompiler`

### setMsgOutput

    public void setMsgOutput(java.io.OutputStream out)

  Specified by:
    `setMsgOutput` in interface `JavaCompiler`

### setOut

    public void setOut(java.io.OutputStream out)

### setOutputDir

    public void setOutputDir(java.lang.String outdir)

  Specified by:
    `setOutputDir` in interface `JavaCompiler`

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.